<template>
  <div class="radar-chart-wrapper" id="radar-chart"></div>
</template>

<script setup>
import { ref, onMounted, nextTick } from 'vue'
import setChart from '@/utils/setChart';
import getRadarChart from './radarChart';

const props = defineProps({
  radarChartData: {
    type: Object,
    default: {
      title: [],
      data: []
    }
  }
})

onMounted(() => {
  const radarChart = getRadarChart(props.radarChartData)
  setChart(radarChart, 'radar-chart',)
})

</script>

<style lang="scss">
.radar-chart-wrapper {
  width: 100%;
  height: 100%;
  // width: 1520px;
  // height: 580px;

}
</style>